Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSuppliers.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSuppliers.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSuppliers.cs	(revision 83)
@@ -94,13 +94,13 @@
         }
         public bool SelectAction(string AddSQLString, ref List<SuppliersMaster> data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
                 strcmd = CreateSelectSQL() + AddSQLString;
 
                 // SQL実行
@@ -124,13 +124,13 @@
         }
         public bool SelectAction(string AddSQLString, ref SuppliersMaster data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
                 strcmd = CreateSelectSQL() + AddSQLString;
 
                 // SQL実行
@@ -298,7 +298,7 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
@@ -364,7 +364,7 @@
         /// <returns></returns>
         public int SelectMaxSuppliersCodeCount(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
             int iRet = 0;
@@ -426,7 +426,7 @@
         /// <returns></returns>
         public int GetMaxDisplayOrder(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
             int iRet = 0;
@@ -466,7 +466,7 @@
         /// <returns></returns>
         public bool SetDisplayOrder(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
             try
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSystem.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSystem.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSystem.cs	(revision 83)
@@ -34,23 +34,23 @@
         /// </summary>
         public enum SystemColumn
         {
-            SYSTEM_CODE = 0,
-            COMPANY_NAME1,
-            COMPANY_NAME2,
-            CEO_NAME,
-            CEOPOSITION_NAME,
-            ZIP_CODE,
+            SYSTEMCODE = 0,
+            COMPANYNAME1,
+            COMPANYNAME2,
+            CEONAME,
+            CEOPOSITIONNAME,
+            ZIPCODE,
             ADDRESS1,
             ADDRESS2,
             ADDRESS3,
-            PHONE_NUMBER,
-            FAX_NUMBER,
-            CONSTRUCTION_EXPENSES,
-            OFFICE_EXPENSES,
-            OPERATING_EXPENSES,
-            CONSUMPTION_TAX,
-            COOPERATION_RATE,
-            EXCEL_SAVEPATH,
+            PHONENUMBER,
+            FAXNUMBER,
+            CONSTRUCTIONEXPENSES,
+            OFFICEEXPENSES,
+            OPERATINGEXPENSES,
+            CONSUMPTIONTAX,
+            COOPERATIONRATE,
+            EXCELSAVEPATH,
             BUSINESSPERIOD,
             ConstructionYear,
             BusinessBeginningDate,
@@ -59,8 +59,8 @@
             SloganString1,
             SloganString2,
             SloganString3,
-            ENTRY_DATE,
-            UPDATE_DATE
+            ENTRYDATE,
+            UPDATEDATE
         }
         #endregion
 
@@ -385,23 +385,23 @@
             try
             {
                 // データ取得
-                wrk.SystemCode = int.Parse(objwrk[(int)SystemColumn.SYSTEM_CODE].ToString());
-                wrk.CompanyName1 = objwrk[(int)SystemColumn.COMPANY_NAME1].ToString();
-                wrk.CompanyName2 = objwrk[(int)SystemColumn.COMPANY_NAME2].ToString();
-                wrk.CEOName = objwrk[(int)SystemColumn.CEO_NAME].ToString();
-                wrk.CEOPositionName = objwrk[(int)SystemColumn.CEOPOSITION_NAME].ToString();
-                wrk.ZipCode = objwrk[(int)SystemColumn.ZIP_CODE].ToString();
+                wrk.SystemCode = int.Parse(objwrk[(int)SystemColumn.SYSTEMCODE].ToString());
+                wrk.CompanyName1 = objwrk[(int)SystemColumn.COMPANYNAME1].ToString();
+                wrk.CompanyName2 = objwrk[(int)SystemColumn.COMPANYNAME2].ToString();
+                wrk.CEOName = objwrk[(int)SystemColumn.CEONAME].ToString();
+                wrk.CEOPositionName = objwrk[(int)SystemColumn.CEOPOSITIONNAME].ToString();
+                wrk.ZipCode = objwrk[(int)SystemColumn.ZIPCODE].ToString();
                 wrk.Address1 = objwrk[(int)SystemColumn.ADDRESS1].ToString();
                 wrk.Address2 = objwrk[(int)SystemColumn.ADDRESS2].ToString();
                 wrk.Address3 = objwrk[(int)SystemColumn.ADDRESS3].ToString();
-                wrk.PhoneNumber = objwrk[(int)SystemColumn.PHONE_NUMBER].ToString();
-                wrk.FaxNumber = objwrk[(int)SystemColumn.FAX_NUMBER].ToString();
-                wrk.ConstructionExpenses = double.Parse(objwrk[(int)SystemColumn.CONSTRUCTION_EXPENSES].ToString());
-                wrk.OfficeExpenses = double.Parse(objwrk[(int)SystemColumn.OFFICE_EXPENSES].ToString());
-                wrk.OperatingExpenses = double.Parse(objwrk[(int)SystemColumn.OPERATING_EXPENSES].ToString());
-                wrk.ConsumptionTax = double.Parse(objwrk[(int)SystemColumn.CONSUMPTION_TAX].ToString());
-                wrk.CooperationRate = double.Parse(objwrk[(int)SystemColumn.COOPERATION_RATE].ToString());
-                wrk.ExcelSavePath = objwrk[(int)SystemColumn.EXCEL_SAVEPATH].ToString();
+                wrk.PhoneNumber = objwrk[(int)SystemColumn.PHONENUMBER].ToString();
+                wrk.FaxNumber = objwrk[(int)SystemColumn.FAXNUMBER].ToString();
+                wrk.ConstructionExpenses = double.Parse(objwrk[(int)SystemColumn.CONSTRUCTIONEXPENSES].ToString());
+                wrk.OfficeExpenses = double.Parse(objwrk[(int)SystemColumn.OFFICEEXPENSES].ToString());
+                wrk.OperatingExpenses = double.Parse(objwrk[(int)SystemColumn.OPERATINGEXPENSES].ToString());
+                wrk.ConsumptionTax = double.Parse(objwrk[(int)SystemColumn.CONSUMPTIONTAX].ToString());
+                wrk.CooperationRate = double.Parse(objwrk[(int)SystemColumn.COOPERATIONRATE].ToString());
+                wrk.ExcelSavePath = objwrk[(int)SystemColumn.EXCELSAVEPATH].ToString();
 
                 wrk.BusinessPeriod = int.Parse(objwrk[(int)SystemColumn.BUSINESSPERIOD].ToString());
                 wrk.ConstructionYear = int.Parse(objwrk[(int)SystemColumn.ConstructionYear].ToString());
@@ -413,8 +413,8 @@
                 wrk.SloganString2 = objwrk[(int)SystemColumn.SloganString2].ToString();
                 wrk.SloganString3 = objwrk[(int)SystemColumn.SloganString3].ToString();
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)SystemColumn.ENTRY_DATE].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)SystemColumn.UPDATE_DATE].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)SystemColumn.ENTRYDATE].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)SystemColumn.UPDATEDATE].ToString());
             }
             catch (MySqlException myex)
             {
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMTypeExpenses.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMTypeExpenses.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMTypeExpenses.cs	(revision 83)
@@ -0,0 +1,435 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 工事種別経費率マスタアクセスクラス
+    /// </summary>
+    public class IOMTypeExpenses : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 経費率マスタフィールド並び
+        /// </summary>
+        public enum NameColumn
+        {
+            TypeCode = 0,
+            ExpensesPeriod,
+            NameCode,
+            ExpensesRaito,
+            DeleteFlg,
+            EntryDate,
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOMTypeExpenses()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region 経費率マスタ検索SQL作成
+        /// <summary>
+        /// 経費率マスタ検索SQL作成
+        /// </summary>
+        /// <param name="AddSQLString">検索条件SQL文字列</param>
+        /// <param name="data">経費率マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        private string CreateSelectSQL()
+        {
+            string strcmd = "SELECT";
+
+            strcmd += " TypeCode";
+            strcmd += " ,ExpensesPeriod";
+            strcmd += " ,NameCode";
+            strcmd += " ,ExpensesRaito";
+            strcmd += " ,DeleteFlg";
+
+            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
+            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
+            strcmd += " FROM TypeExpensesMaster";
+
+            return strcmd;
+        }
+        #endregion
+
+        #region データ検索（複数件）
+        /// <summary>
+        /// データ検索（複数件）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref List<TypeExpensesMaster> data, bool bConnect = true)
+        {
+            // インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    TypeExpensesMaster work = new TypeExpensesMaster();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+        }
+        #endregion
+
+        #region データ検索（１件）
+        /// <summary>
+        /// データ検索（１件）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref TypeExpensesMaster data, bool bConnect = true)
+        {
+            // インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (arData.Count == 0) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    Reader2Struct(objwrk, ref data);
+                    break;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+        }
+        #endregion
+
+        #region 経費率マスタ追加（１件）
+        /// <summary>
+        /// 経費率マスタ追加（１件）
+        /// </summary>
+        /// <param name="data">経費率マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(TypeExpensesMaster work, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "INSERT INTO TypeExpensesMaster";
+
+                strcmd += "(";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(NameColumn)))
+                {
+                    if (!bFirst) strcmd += " ,";
+                    strcmd += gender.ToString();
+                    bFirst = false;
+                }
+                strcmd += ") VALUES (";
+
+                strcmd += string.Format("  {0}", work.TypeCode.ToString());
+                strcmd += string.Format(", {0}", work.ExpensesPeriod.ToString());
+                strcmd += string.Format(", {0}", work.NameCode.ToString());
+                strcmd += string.Format(", {0}", work.ExpensesRaito.ToString());
+                strcmd += string.Format(", {0}", work.DeleteFlg.ToString());
+
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd = strcmd + ")";
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 経費率マスタ追加（複数件）
+        /// <summary>
+        /// 経費率マスタ追加
+        /// </summary>
+        /// <param name="data">経費率マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<TypeExpensesMaster> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                foreach (TypeExpensesMaster work in data)
+                {
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 経費率マスタ更新
+        /// <summary>
+        /// 経費率マスタ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">経費率マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, TypeExpensesMaster data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE TypeExpensesMaster";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" TypeCode = {0}", data.TypeCode.ToString());
+                strcmd += string.Format(",ExpensesPeriod = {0}", data.ExpensesPeriod.ToString());
+                strcmd += string.Format(",NameCode = {0}", data.NameCode.ToString());
+                strcmd += string.Format(",ExpensesRaito = {0}", data.ExpensesRaito.ToString());
+                strcmd += string.Format(",DeleteFlg = {0}", data.DeleteFlg.ToString());
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 経費率マスタ削除
+        /// <summary>
+        /// 経費率マスタ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="data">経費率マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            // インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM TypeExpensesMaster", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 論理削除
+        /// <summary>
+        /// 論理削除
+        /// </summary>
+        /// <param name="NameCode">名称コード</param>
+        /// <returns>成功時：true　失敗時：false</returns>
+        public bool LogicalDeleteAction(int NameCode, bool bConnect = true)
+        {
+            // Where文字列作成
+            string strWhere = CreatePrimarykeyString(NameCode);
+            try
+            {
+                List<TypeExpensesMaster> workList = new List<TypeExpensesMaster>();
+                // データ読込
+                if (SelectAction(strWhere, ref workList, bConnect))
+                {
+                    if (workList.Count == 0) return true;
+
+                    // 削除フラグ
+                    workList[0].DeleteFlg = 1;
+                    // データ更新
+                    if (!UpdateAction(strWhere, workList[0], bConnect))
+                    {
+                        rollback();
+                        return false;
+                    }
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWhere);
+                return false;
+            }
+        }
+        #endregion
+
+        #region OracleDataReaderより構造体へセットする
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref TypeExpensesMaster wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.TypeCode = int.Parse(objwrk[(int)NameColumn.TypeCode].ToString());
+                wrk.ExpensesPeriod = int.Parse(objwrk[(int)NameColumn.ExpensesPeriod].ToString());
+                wrk.NameCode = int.Parse(objwrk[(int)NameColumn.NameCode].ToString());
+                wrk.ExpensesRaito = double.Parse(objwrk[(int)NameColumn.ExpensesRaito].ToString());
+                wrk.DeleteFlg = int.Parse(objwrk[(int)NameColumn.DeleteFlg].ToString());
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UpdateDate].ToString());
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 区分別の最大値を取得する
+        /// <summary>
+        /// 区分別の最大値を取得する
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public int SelectMaxCategoryHistoryCount(string AddSQLString, bool bConnect = true)
+        {
+            // インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+            int iRet = 0;
+            try
+            {
+                // SQL作成
+                strcmd = "SELECT IFNULL(MAX(NameCode), 0) FROM TypeExpensesMaster" + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    if (objwrk[0].ToString().Equals(""))
+                        iRet = 0;
+                    else
+                        iRet = int.Parse(objwrk[0].ToString());
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+            }
+
+            return iRet;
+        }
+        #endregion
+
+        #region 主キー検索の文字列を返す
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="NameCode">名称コード</param>
+        /// <returns>Where文字列</returns>
+        public string CreatePrimarykeyString(int TypeCode, int Period = 0, int NameCode = 0, string Alias = "")
+        {
+            string strWork = string.Empty;
+            try
+            {
+                string strAlias = string.Empty;
+                if (Alias.Length != 0) strAlias = string.Format("{0}.", Alias);
+                strWork = string.Format(" Where {0}TypeCode = {1}", strAlias, TypeCode);
+                if (Period != 0)
+                    strWork += string.Format(" And {0}ExpensesPeriod = {1}", strAlias, Period);
+                if (NameCode != 0)
+                    strWork += string.Format(" And {0}NameCode = {1}", strAlias, NameCode);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMUnit.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMUnit.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMUnit.cs	(revision 83)
@@ -33,11 +33,11 @@
         /// </summary>
         public enum NameColumn
         {
-            UNIY_KEY = 0,
-            DISPLAY_ORDER,
-            UNIT_NAME,
-            ENTRY_DATE,
-            UPDATE_DATE
+            UNITKEY = 0,
+            DISPLAYORDER,
+            UNITNAME,
+            ENTRYDATE,
+            UPDATEDATE
         }
         #endregion
 
@@ -202,12 +202,12 @@
             try
             {
                 // データ取得
-                wrk.UnitKey = int.Parse(objwrk[(int)NameColumn.UNIY_KEY].ToString());
-                wrk.DisplayOrder = int.Parse(objwrk[(int)NameColumn.DISPLAY_ORDER].ToString());
-                wrk.UnitName=objwrk[(int)NameColumn.UNIT_NAME].ToString();
+                wrk.UnitKey = int.Parse(objwrk[(int)NameColumn.UNITKEY].ToString());
+                wrk.DisplayOrder = int.Parse(objwrk[(int)NameColumn.DISPLAYORDER].ToString());
+                wrk.UnitName=objwrk[(int)NameColumn.UNITNAME].ToString();
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRY_DATE].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATE_DATE].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRYDATE].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATEDATE].ToString());
             }
             catch (MySqlException myex)
             {
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicle.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicle.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicle.cs	(revision 83)
@@ -96,11 +96,11 @@
                 strcmd += ",ModelCode";
                 strcmd += ",DepartmentCode";
                 strcmd += ",VehicleScheduleFlg";
-                strcmd += ",DATE_FORMAT(PurchaseDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += ",DATE_FORMAT(PurchaseDate, '%Y/%m/%d')";
                 strcmd += ",PurchaseName";
                 strcmd += ",PurchaseContactPersons";
                 strcmd += ",PurchasePhone";
-                strcmd += ",DATE_FORMAT(LeaseDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += ",DATE_FORMAT(LeaseDate, '%Y/%m/%d')";
                 strcmd += ",LeaseDestination";
                 strcmd += ",LeaseContactPersons";
                 strcmd += ",LeasePhone";
@@ -216,11 +216,11 @@
                 strcmd += string.Format(",ModelCode = '{0}'", data.ModelCode);
                 strcmd += string.Format(",DepartmentCode = {0}", data.DepartmentCode.ToString());
                 strcmd += string.Format(",VehicleScheduleFlg = {0}", data.VehicleScheduleFlg.ToString());
-                strcmd += string.Format(",PurchaseDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.PurchaseDate.ToShortDateString());
+                strcmd += string.Format(",PurchaseDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.PurchaseDate.ToShortDateString());
                 strcmd += string.Format(",PurchaseName = '{0}'", data.PurchaseName);
                 strcmd += string.Format(",PurchaseContactPersons = '{0}'", data.PurchaseContactPersons);
                 strcmd += string.Format(",PurchasePhone = '{0}'", data.PurchasePhone);
-                strcmd += string.Format(",LeaseDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.LeaseDate.ToShortDateString());
+                strcmd += string.Format(",LeaseDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.LeaseDate.ToShortDateString());
                 strcmd += string.Format(",LeaseDestination = '{0}'", data.LeaseDestination);
                 strcmd += string.Format(",LeaseContactPersons = '{0}'", data.LeaseContactPersons);
                 strcmd += string.Format(",LeasePhone = '{0}'", data.LeasePhone);
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicleRecordData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicleRecordData.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicleRecordData.cs	(revision 83)
@@ -78,7 +78,7 @@
                 strcmd += " VehicleCode";
                 strcmd += ",DivisionCode";
                 strcmd += ",SeqNo";
-                strcmd += ",DATE_FORMAT(RecordDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += ",DATE_FORMAT(RecordDate, '%Y/%m/%d')";
                 strcmd += ",Mileage";
                 strcmd += ",Content";
                 strcmd += ",PaymentCost";
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialInfo.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialInfo.cs	(revision 83)
@@ -37,8 +37,8 @@
             MaterialCount,
             RentCount,
             DeleteFlg,
-            ENTRY_DATE,
-            UPDATE_DATE
+            ENTRYDATE,
+            UPDATEDATE
         }
         #endregion
 
@@ -62,13 +62,13 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool SelectAction(string AddSQLString, ref List<MaterialInfo> data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
                 strcmd = "SELECT";
                 strcmd += " MaterialItemCode, MaterialCount, RentCount, DeleteFlg";
                 strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
@@ -174,7 +174,7 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
@@ -207,8 +207,8 @@
                 wrk.RentCount  = int.Parse(objwrk[(int)NameColumn.RentCount].ToString());
                 wrk.DeleteFlg = int.Parse(objwrk[(int)NameColumn.DeleteFlg].ToString());
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRY_DATE].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATE_DATE].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRYDATE].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATEDATE].ToString());
             }
             catch (MySqlException oraex)
             {
